Skip to main content
GET
/
platform
/
adminuser
/
accounts
/
{userId}
/
roles
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "assignedInScope": {
        "id": 123,
        "name": "<string>",
        "type": "<string>"
      },
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "roleId": 123,
      "roleName": "<string>",
      "roleResources": [
        {
          "id": "<string>",
          "type": "<string>"
        }
      ],
      "roleTags": [
        "<string>"
      ],
      "userId": "<string>"
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

userId
string
required

Unique identifier of the user.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

Collection of UserRoles for given user.

items
object[] | null
totalCount
integer<int32>